
Foreman - Bug #37224

Creating a host without a comment and then editing it and submitting without any changes creates

an update audit record for the nil->'' transition of comment

03/05/2024 01:30 PM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10079,

https://github.com/theforeman/foreman/p

ull/10086

  

Description

Associated revisions

Revision 4c7f36ed - 03/06/2024 01:15 PM - Adam Ruzicka

Fixes #37224 - Force Hosts to have a comment

To prevent the nil > empty string transition we would either have to:

check the incoming changes and discard the unwanted ones

- ignore these transitions when creating audits

- just force hosts to always have a comment

The last option felt like the least wrong one. This has an added benefit

that searching for hosts without comment becomes somewhat easier.

Revision dd5091f4 - 03/11/2024 03:16 PM - Adam Ruzicka

Refs #37224 - Force all Hosts to have a comment

The previous implementation of the update had two issues:

1) It only operated on ::Host::Managed

2) It silently failed if the host was invalid for any other reason

Fixes 4c7f36edf

History

#1 - 03/05/2024 01:34 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10079 added

#2 - 03/06/2024 01:16 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#3 - 03/06/2024 02:00 PM - Adam Ruzicka

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4c7f36edf2c6b78f4510108c9182d381817811ba.

#4 - 03/11/2024 02:47 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10086 added
